"use strict";

var _chunkQJYNAFADcjs = require('../../chunk-QJYNAFAD.cjs');
require('../../chunk-SSHZQKW7.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/data/message.spec.ts
describe("message", () => {
  it("should print errors", () => {
    expect(_chunkQJYNAFADcjs.renderMessages.call(void 0, ["Message", new Error("Hello")], { trace: false })).toMatchInlineSnapshot(`"Message Error: Hello"`);
    expect(_chunkQJYNAFADcjs.renderMessages.call(void 0, ["Message", new Error("Hello")], { trace: false })).toMatchInlineSnapshot(`"Message Error: Hello"`);
    expect(
      _chunkQJYNAFADcjs.renderMessages.call(void 0, [
        "Message",
        { a: 1, b: null },
        null,
        void 0,
        Number.NaN,
        100,
        "string"
      ], { trace: false })
    ).toMatchInlineSnapshot(`
      "Message {
        "a": 1,
        "b": null
      } null undefined NaN 100 string"
    `);
  });
});
//# sourceMappingURL=message.spec.cjs.map