"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkSSHZQKW7cjs = require('./chunk-SSHZQKW7.cjs');


var _chunkEZB4PXZZcjs = require('./chunk-EZB4PXZZ.cjs');


var _chunkVAG3XY63cjs = require('./chunk-VAG3XY63.cjs');

// src/common/data/message.ts
function formatMessages(messages, opt = {}) {
  const { trace = true, pretty = true } = opt;
  return messages.map((obj) => {
    if (obj && typeof obj === "object") {
      if (pretty && (obj instanceof Uint8Array || obj instanceof ArrayBuffer))
        return `
${_chunkEZB4PXZZcjs.Uint8ArrayToHexDump.call(void 0, obj)}
`;
      if (obj instanceof Error) {
        return `${obj.name}: ${obj.message}` + (trace ? `
${obj.stack}` : "");
      }
      if (typeof ErrorEvent !== "undefined" && obj instanceof ErrorEvent) {
        return `${obj.error.name || "ErrorEvent"}: ${obj.error.message}` + (trace ? `
${obj.error.stack}` : "");
      }
      if (typeof DOMException !== "undefined" && obj instanceof DOMException) {
        return `${obj.name || "DOMException"}: ${obj.message}` + (trace ? `
${obj.stack}` : "");
      }
      if (obj && typeof obj === "object" && "reason" in obj) {
        return `PromiseRejection ${obj.type}: ${obj.reason}` + (trace ? `
${obj.stack}` : "");
      }
      try {
        obj = _chunkSSHZQKW7cjs.objectPlain.call(void 0, obj);
        return pretty ? JSON.stringify(obj, null, 2) : JSON.stringify(obj);
      } catch (err) {
      }
    }
    return String(obj);
  });
}
function renderMessages(messages, opt = {}) {
  return formatMessages(_chunkVAG3XY63cjs.isArray.call(void 0, messages) ? messages : [messages], opt).join(" ");
}




exports.formatMessages = formatMessages; exports.renderMessages = renderMessages;
//# sourceMappingURL=chunk-QJYNAFAD.cjs.map